#include <iostream>

#include <QApplication>
#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QFile>
#include <QGridLayout>
#include <QSizePolicy>
#include <QLineEdit>
#include <QMenuBar>
#include <QMenu>

#include "player.h"

// """ Version 0.10 """

//using namespace std;

int main(int argc, char* argv[]) {
    QApplication app(argc, argv);

    QWidget window;
    window.setGeometry(20,50,1270,590);

    QMenuBar menuBar(&window);
    QMenu *fileMenu;
    QMenu *workMenu;
    fileMenu=menuBar.addMenu("&Programm");
    workMenu=menuBar.addMenu("&Einstellen");
    fileMenu->addAction("Be&enden", app.exit);
    QAction *ipAction=workMenu->addAction("&IP-Adresse");

    QFrame videoWidget;
    Player player(&videoWidget);

    QSizePolicy vw=videoWidget.sizePolicy();
    vw.setHorizontalPolicy(QSizePolicy::Expanding);
    videoWidget.setSizePolicy(vw);

    QListWidget liste;
    for(int x=1;x<=player.get_Sender();x++){
        liste.addItem(player.get_Name(x));
    }
    //Sender anklicken
    QObject::connect(&liste, SIGNAL(itemClicked(QListWidgetItem*)), &player, SLOT(play(QListWidgetItem*)));
    //IP einstellen
    QObject::connect(ipAction, SIGNAL(triggered()), &player, SLOT(set_ip()));

    QSizePolicy li=liste.sizePolicy();
    li.setHorizontalPolicy(QSizePolicy::Fixed);
    liste.setSizePolicy(li);

    QLineEdit lineEdit;

    QSizePolicy le=lineEdit.sizePolicy();
    le.setHorizontalPolicy(QSizePolicy::Fixed);
    lineEdit.setSizePolicy(le);

    QGridLayout gridLayout;
    gridLayout.setMargin(0);
    gridLayout.setSpacing(0);
    gridLayout.addWidget(&menuBar, 0, 0, 1, 0);
    gridLayout.addWidget(&videoWidget, 1, 0, 2, 1);
    gridLayout.addWidget(&liste, 1, 1);
    gridLayout.addWidget(&lineEdit, 2, 1);
    window.setLayout(&gridLayout);

    window.show();

    return app.exec();
}
